//+------------------------------------------------------------------+
//|                                                    II_Spread.mq4 |
//|                            Copyright  2010, Insanity Industries |
//|                                http://www.insanityindustries.net |
//| v 1.0 20/7/10                                                    |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Insanity Industries"
#property link      "http://www.insanityindustries.net"

#property indicator_chart_window

extern int object.layer = 0;
extern bool replace.price.line = false;
extern color spread.color = DodgerBlue;

string s;
double spread;
string n;
double point;
int init(){
   s = CharToStr(0x61+object.layer)+"II_Spread";
   ObjectCreate(s, OBJ_FIBO, 0,0,0,0,0);
   ObjectSet(s, OBJPROP_COLOR, CLR_NONE);
   ObjectSet(s, OBJPROP_STYLE, 0);
   ObjectSet(s, OBJPROP_RAY, false);
   ObjectSet(s, OBJPROP_BACK, !replace.price.line);
   ObjectSet(s, OBJPROP_FIBOLEVELS, 1);
   ObjectSet(s, OBJPROP_LEVELCOLOR, spread.color);
   point=Point;
   if(Digits == 5 || Digits ==3) point*=10;
   //DoLogo();
   return(0);
}

int deinit(){
   ObjectDelete(s);
   return(0);
}

int start(){
   n = DoubleToStr((Ask-Bid)/point,1)+" ";
   ObjectSet(s,OBJPROP_TIME1,Time[0]);
   ObjectSet(s,OBJPROP_TIME1,Time[0]);
   ObjectSet(s,OBJPROP_PRICE1,Bid);
   ObjectSet(s,OBJPROP_PRICE2,Bid);
   ObjectSet(s,OBJPROP_FIRSTLEVEL,Ask);
   ObjectSetFiboDescription(s,0,n);
   return(0);
}

//void DoLogo(){
   //string TAG = CharToStr(0x61+27)+"II_Logo";
   //if( ObjectFind(TAG+"ZZ"+0) >= 0 && ObjectFind(TAG+"ZZ"+1) >= 0 && ObjectFind(TAG+"ZZ"+2) >= 0  && 
       //ObjectFind(TAG+"AZ"+0) >= 0 && ObjectFind(TAG+"AZ"+1) >= 0 && ObjectFind(TAG+"AZ"+2) >= 0 ) return;
   //string str[3] = {"$","Insanity","Industries"};
   //int size[3] = {25,10,10};
   //int pos.x[3] = {47,19,17};
   //int pos.y[3] = {10,25,15};
   //int pos.xs[3] = {46,18,16};
   //int pos.ys[3] = {9,24,14};
   //for(int i=0;i<3;i++){
      //string n = TAG+"ZZ"+i;
      //ObjectDelete(n);
      //ObjectCreate(n,OBJ_LABEL,0,0,0);
      //ObjectSetText(n,str[i],size[i],"Pieces Of Eight",AliceBlue);
      //ObjectSet(n,OBJPROP_XDISTANCE,pos.x[i]);
      //ObjectSet(n,OBJPROP_YDISTANCE,pos.y[i]);
      //ObjectSet(n,OBJPROP_CORNER,3);
      //n = TAG+"AZ"+i;
      //ObjectDelete(n);
      //ObjectCreate(n,OBJ_LABEL,0,0,0);
      //ObjectSetText(n,str[i],size[i],"Pieces Of Eight",Black);
      //ObjectSet(n,OBJPROP_XDISTANCE,pos.xs[i]);
      //ObjectSet(n,OBJPROP_YDISTANCE,pos.ys[i]);
      //ObjectSet(n,OBJPROP_CORNER,3);
   //}
//}